package com.example.a472_a2;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import java.util.List;

public class  NoteAdapter extends RecyclerView.Adapter<NoteViewHolder> {

    private static final String TAG = "NoteAdapter";
    private List<Note> noteList;
    private MainActivity mainAct;

    NoteAdapter (List<Note> nList, MainActivity mainA){
        this.noteList = nList;
        this.mainAct = mainA;
    }

    @NonNull
    @Override
    public NoteViewHolder onCreateViewHolder (@NonNull final ViewGroup parent, int viewType){
        View itemView = LayoutInflater.from(parent.getContext()).inflate(R.layout.note_list_row, parent, false);
        itemView.setOnClickListener(mainAct);
        itemView.setOnLongClickListener(mainAct);
        return new NoteViewHolder(itemView);
    }

    @Override
    public void onBindViewHolder(@NonNull NoteViewHolder holder, int position) {
        Note note = noteList.get(position);
        holder.noteTitle.setText(note.getTitle());
        //Double check if the items are above 80 characters and add ... as neccessary
        String content = note.getContent();
        if (content.length() > 80 ) {content = content.substring(0,80) + "...";}
        holder.noteInfo.setText(content);
        holder.timestamp.setText(note.getTimestamp());
    }

    @Override
    public int getItemCount (){

        return noteList.size();

    }

}
